petsc-3.10.5 2019-03-28
Report Typos and Errors

# MATSOLVERPASTIX

A solver package providing direct solvers (LU) for distributed and sequential matrices via the external package PaStiX. Use ./configure --download-pastix --download-ptscotch to have PETSc installed with PasTiX

Use -pc_type lu -pc_factor_mat_solver_type pastix to use this direct solver

### Options Database Keys

| -mat_pastix_verbose <0,1,2> | - print level
| -mat_pastix_threadnbr <integer> | - Set the thread number by MPI task.

### Notes

This only works for matrices with symmetric nonzero structure, if you pass it a matrix with nonsymmetric structure PasTiX and hence PETSc return with an error.

### See Also

PCFactorSetMatSolverType(), MatSolverType

### Level

beginner

### Location

src/mat/impls/aij/mpi/pastix/pastix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages